GET
/api/v1/system/statusSystem
Get system status
Check that the engine, the on-chain probe and the settlement adapter are ready.
Sandbox API
https://sandbox-api.nuvante.ioRun this authenticated check before you initiate sandbox transactions. In sandbox, a connected RTGS state means the mock settlement adapter is ready. There's no live Bank of England Synchro connection behind it.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | string · header | Yes | Bearer sandbox API key. |
Responses
200Status payload.
401Authentication required.
Request
curl --request GET \
--url 'https://sandbox-api.nuvante.io/api/v1/system/status' \
--header 'Authorization: Bearer nvt_sandbox_your_key' \
--header 'Accept: application/json'Response
{
"data": {
"checkedAt": "2026-07-28T14:19:21.830Z",
"engineStalledJobs": 0,
"engineStatus": "operational",
"onChainLatencyMs": null,
"onChainStatus": "operational",
"rtgsConnection": "connected",
"rtgsLatencyMs": null
},
"meta": {
"commandId": "d23e4567-e89b-42d3-a456-426614174013"
}
}